# \Query\Drivers\SqliteSQL

SQLite Specific SQL

## Summary

Methods
Properties
Constants
limit()
explain()
random()
db_list()
table_list()
system_table_list()
view_list()
trigger_list()
function_list()
procedure_list()
sequence_list()
type_list()
column_list()
fk_list()
index_list()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  src/Query/Drivers/Sqlite/SQL.php
Package
  Query\Drivers
Class hierarchy
  \Query\Abstract_SQL
  \Query\Drivers\Sqlite\SQL

## Tags

None found

## Methods

### limit()

    limit(string  $sql, integer  $limit, integer|boolean  $offset = FALSE) : string

Limit clause

#### Parameters

string | $sql |
integer | $limit |
integer|boolean | $offset |

#### Returns

string

#

Inherited from
  \Query\Abstract_SQL

## Tags

None found

### explain()

    explain(string  $sql) : string

Get the query plan for the sql query

#### Parameters

string | $sql |

#### Returns

string

#

## Tags

None found

### random()

    random() : string

Random ordering keyword

#### Returns

string

#

## Tags

None found

### db_list()

    db_list() : string

Returns sql to list other databases

#### Returns

string

#

## Tags

None found

### table_list()

    table_list() : string

Returns sql to list tables

#### Returns

string

#

## Tags

None found

### system_table_list()

    system_table_list() : array<mixed,string>

List the system tables

#### Returns

array<mixed,string>

#

## Tags

None found

### view_list()

    view_list() : string

Returns sql to list views

#### Returns

string

#

## Tags

None found

### trigger_list()

    trigger_list() : string

Returns sql to list triggers

#### Returns

string

#

## Tags

None found

### function_list()

    function_list() : NULL

Return sql to list functions

#### Returns

NULL

#

## Tags

None found

### procedure_list()

    procedure_list() : NULL

Return sql to list stored procedures

#### Returns

NULL

#

## Tags

None found

### sequence_list()

    sequence_list() : NULL

Return sql to list sequences

#### Returns

NULL

#

## Tags

None found

### type_list()

    type_list() : array<mixed,string>

SQL to show list of field types

#### Returns

array<mixed,string>

#

## Tags

None found

### column_list()

    column_list(string  $table) : string

SQL to show infromation about columns in a table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### fk_list()

    fk_list(string  $table) : string

Get the list of foreign keys for the current table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### index_list()

    index_list(string  $table) : string

Get the list of indexes for the current table

#### Parameters

string | $table |

#### Returns

string

#

## Tags

None found

### SQL.php